Skip to main content
Resource Center/Network Service/Network Service Operations/VPC Firewall Operations

CreateVpcFirewall

CreateVpcFirewall

POST/zstack/v1/vpcfirewalls

Operation ID

CreateVpcFirewall

Since

3.6.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • vpcUuid
      StringRequired

      The VPC UUID.

    • description
      String

      Optional. The detailed description of the resource.

    • name
      StringRequired

      The resource name.

    • resourceUuid
      String

      Optional.

    • tagUuids
      List

      Optional. The tag UUID list.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    VpcFirewallInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • description
      StringRequired

      The detailed description of the resource.

    • refs
      ListRequired

      See refs.

      • id
        longRequired

        The firewall rule number.

      • ruleSetUuid
        StringRequired

        The firewall rule set UUID.

      • l3Uuid
        StringRequired

        The L3 network UUID.

      • vpcFirewallUuid
        StringRequired

        The firewall UUID.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

      • packetsForwardType
        PacketsForwardTypeRequired

        See packetsForwardType.

        • in
          PacketsForwardTypeRequired

          Ingress packet.

        • out
          PacketsForwardTypeRequired

          Egress packet.